Get a transaction

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

transaction_idstringRequired

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Response

Successful Response
idstringformat: "uuid"

A unique Monite-generated ID assigned to this transaction.

amountinteger

The transaction amount in minor units. Positive values for in-flow, negative values for out-flow.

currencyenum
ISO currency code.
entity_idstringformat: "uuid"
ID of the entity that owns this resource.
merchant_amountinteger
Original merchant transaction amount in minor units.
merchant_currencyenum

ISO currency code for the merchant_amount.

merchant_locationstring<=128 characters
The merchant location.
merchant_namestring<=128 characters
The merchant name.
payment_methodobject
started_atdatetime
Date and time when the transaction was initiated.
typeenum
The nature of the transaction.
descriptionstring<=255 characters

A human-readable description of the transaction.

entity_user_idstringformat: "uuid"
ID of the entity user who made the transaction, if applicable.
external_idstring<=128 characters
External identifier for idempotency, if provided by the source system.
partner_metadatamap from strings to strings

Extensible key-value pairs for storing additional custom information for partner needs.

receipt_idstring

ID of the related receipt from payables service, if any. This field is read-only and system-managed.

statusenum
The current processing status of the transaction.

Errors

400
Get Transactions ID Request Bad Request Error
401
Get Transactions ID Request Unauthorized Error
403
Get Transactions ID Request Forbidden Error
404
Get Transactions ID Request Not Found Error
422
Get Transactions ID Request Unprocessable Entity Error
429
Get Transactions ID Request Too Many Requests Error